# useradd -u 666 -g users -s /bin/false jellyfin

if [ ! "$(grep rc.jellyfin etc/rc.d/rc.local)" ] ; then 
cat >> etc/rc.d/rc.local << END

# Start the jellyfin server:
if [ -x /etc/rc.d/rc.jellyfin ]; then
  /etc/rc.d/rc.jellyfin start
fi
END
fi

config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  # If there's no config file by that name, mv it over:
  if [[ ! -r $OLD ]]; then
    mv $NEW $OLD
  elif [[ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]]; then
    # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}
config etc/xdg/autostart/jellyfin.desktop.new
config etc/jellyfin/logging.json.new
